% DFT_dtft.m
%
clear
N = 8;
k = 0:N-1;
x = 0.5.^(0:N-1);
X = 1./(1-0.5*exp(-1i*(2*pi/N)*k));
%{
x = ones(1,N);
X = 1./(1-0.99*exp(-1i*(2*pi/N)*k));
%}
x1 = ifft(X);
figure, subplot(2,1,1),stem(0:N-1,real(x1))
title('Sequence from IDFT')
ylabel('Amplitude')
subplot(2,1,2),stem(0:N-1,x,'r')
title('Actual sequence')
ylabel('Amplitude'), xlabel('Samples(n)')
